Index: /trunk/src/get_olr
===================================================================
--- /trunk/src/get_olr	(revision 3)
+++ /trunk/src/get_olr	(revision 3)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+DIR_DATA='/Users/jv/data/OLR/'
+
+cd $DIR_DATA
+
+mv olr.day.mean.nc olr.day.mean.nc.old
+
+wget ftp://ftp.cdc.noaa.gov/Datasets/interp_OLR/olr.day.mean.nc
+
+#ftp -n <<@DELIM
+#  open ftp.cdc.noaa.gov
+#  user anonymous jv@locean-ipsl.upmc.fr
+#  bin
+#  prompt
+#  cd /Datasets/interp_OLR/
+#  mget QS_XWGRD3_${yea}*.gz
+#  quit
+#@DELIM
+
+ls -l
+
Index: /trunk/src/get_olrnint
===================================================================
--- /trunk/src/get_olrnint	(revision 3)
+++ /trunk/src/get_olrnint	(revision 3)
@@ -0,0 +1,5 @@
+wget ftp://ftp.cdc.noaa.gov/Datasets/uninterp_OLR/olr.day.mean.nc
+mv olr.day.mean.nc olr_nint.day.mean.nc
+#~/data/OLR_NRT/extract_indian
+#~/data/OLR_NRT/extract_indopac
+
Index: /trunk/src/get_pirata_netcdf
===================================================================
--- /trunk/src/get_pirata_netcdf	(revision 3)
+++ /trunk/src/get_pirata_netcdf	(revision 3)
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+dir=/Users/jv/data/PIRATA/data/
+
+# bf  : buoyancy flux
+# d   : sigma-theta
+# dyn : dynamic height
+# emp : e-p
+# iso : 20C depth
+# met : wind (u,v,speed,direction),  airT, hum rel, SST   (= w + airt + rh)
+# pos : lon, lat
+# rad : shortwave down
+# rf  : rain heat flux
+# w   : wind
+
+varlist="adcp airt bf bp cur d dyn emp evap heat iso lw lwnet met pos qlat qnet qsen rad rain rf rh s ssd sss sst swnet t tau w"
+sitelist="          0n0e"
+sitelist="$sitelist 10s10w 6s10w 0n10w"
+sitelist="$sitelist 0n23w 4n23w 12n23w 21n23w"
+sitelist="$sitelist 19s34w 14s32w 8s30w 0n35w"
+sitelist="$sitelist 4n38w 8n38w 12n38w 15n38w 20n38w" 
+
+cd $dir
+for site in $sitelist ; do
+ for var in $varlist ; do
+  wget --password=G10b@LCh@Ng3 ftp://taopmelftp@ftp.pmel.noaa.gov/cdf/sites/daily/${var}${site}_dy.cdf
+ done
+done
+
+ls -l
+
+#
Index: /trunk/src/get_rama_netcdf
===================================================================
--- /trunk/src/get_rama_netcdf	(revision 3)
+++ /trunk/src/get_rama_netcdf	(revision 3)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+dir=/Users/jv/data/RAMA/data/
+
+# bf  : buoyancy flux
+# d   : sigma-theta
+# dyn : dynamic height
+# emp : e-p
+# iso : 20C depth
+# met : wind (u,v,speed,direction),  airT, hum rel, SST   (= w + airt + rh)
+# pos : lon, lat
+# rad : shortwave down
+# rf  : rain heat flux
+# w   : wind
+
+varlist="adcp airt bf bp cur d dyn emp evap heat iso lw lwnet met pos qlat qnet qsen rad rain rf rh s ssd sss sst swnet t tau w"
+sitelist="12s55e 8s55e 8s67e 8s80.5e 4s80.5e 1.5s80.5e 0n80.5e 1.5n80.5e 1.5s90e 0n90e 1.5n90e 4n90e 8n90e 12n90e 15n90e 5s95e"
+
+cd $dir
+for site in $sitelist ; do
+ for var in $varlist ; do
+  wget --password=G10b@LCh@Ng3 ftp://taopmelftp@ftp.pmel.noaa.gov/cdf/sites/daily/${var}${site}_dy.cdf
+ done
+done
+
+ls -l
+
+#
+#Liste complète de RAMA:
+#sitelist="                   16s55e    12s55e    8s55e    4s55e    1.5s55e    0n55e    1.5n55e    4n55e"
+#siteliste="$sitelist                                                                               15n65e"
+#siteliste="$sitelist                    12s67e     8s67e    4s67e    1.5s67e    0n67e     1.5n67e    4n67e    8n67e"
+#siteliste="$sitelist  16s80.5e 12s80.5e 8s80.5e 4s80.5e 1.5s80.5e 0n80.5e 1.5n80.5e 4n80.5e"
+#siteliste="$sitelist               1.5s90e 0n90e 1.5n90e 4n90e 8n90e 12n90e 15n90e
+#siteliste="$sitelist  16s95e 12s95e 8s95e  5s95e"
+#
Index: /trunk/src/get_tao_netcdf
===================================================================
--- /trunk/src/get_tao_netcdf	(revision 3)
+++ /trunk/src/get_tao_netcdf	(revision 3)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+dir=/Users/jv/data/TAO/data/
+
+# bf  : buoyancy flux
+# d   : sigma-theta
+# dyn : dynamic height
+# emp : e-p
+# iso : 20C depth
+# met : wind (u,v,speed,direction),  airT, hum rel, SST   (= w + airt + rh)
+# pos : lon, lat
+# rad : shortwave down
+# rf  : rain heat flux
+# w   : wind
+
+varlist="adcp airt bf bp cur d dyn emp evap heat iso lw lwnet met pos qlat qnet qsen rad rain rf rh s ssd sss sst swnet t tau w"
+sitelist=                                       "2n137e 5n137e 8n137e"
+sitelist="$sitelist                      0n147e 2n147e 5n147e"
+sitelist="$sitelist        5s156e 2s156e 0n156e 2n156e 5n156e 8n156e"
+sitelist="$sitelist 8s165e 5s165e 2s165e 0n165e 2n165e 5n165e 8n165e"
+sitelist="$sitelist 8s180w 5s180w 2s180w 0n180w 2n180w 5n180w 8n180w"
+sitelist="$sitelist 8s170w 5s170w 2s170w 0n170w 2n170w 5n170w 8n170w"
+sitelist="$sitelist 8s155w 5s155w 2s155w 0n155w 2n155w 5n155w 8n155w"
+sitelist="$sitelist        5s140w 2s140w 0n140w 2n140w 5n140w 9n140w"
+sitelist="$sitelist 8s125w 5s125w 2s125w 0n125w 2n125w 5n125w 8n125w"
+sitelist="$sitelist 8s110w 5s110w 2s110w 0n110w 2n110w 5n110w 8n110w"
+sitelist="$sitelist 8s95w  5s95w  2s95w  0n95w  2n95w  5n95w  8n95w "
+
+echo $sitelist
+
+cd $dir
+for site in $sitelist ; do
+ for var in $varlist ; do
+  wget --password=G10b@LCh@Ng3 ftp://taopmelftp@ftp.pmel.noaa.gov/cdf/sites/daily/${var}${site}_dy.cdf
+ done
+done
+
+ls -l
+
+#