Index: trunk/src/TropFlux_swr_BLND_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 7)
+++ trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 8)
@@ -7,4 +7,30 @@
 ; =======================================
 ;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph TropFlux_swr_BLND_19890101_20091231 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_dt [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20071231_DT_v50.nc"];
+;           file_nrt [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;           file_gustiness [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_gustiness_19890101_20091231_v50.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_BLND.nc"];
+;
+;           TropFlux_swr_BLND_19890101_20091231 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/TropFlux_swr_BLND_19890101_20091231.pro",
+;           label="${TROPFLUX}/src/TropFlux_swr_BLND_19890101_20091231.pro"];
+;           {file_dt file_nrt file_gustiness} -> {TropFlux_swr_BLND_19890101_20091231} ->{ ncfile}
+;
+;       }
 ;
 ; SEE ALSO
@@ -28,4 +54,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T085754Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/TropFlux_swr_DT_19890101_20071231.pro
===================================================================
--- trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 7)
+++ trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 8)
@@ -7,4 +7,31 @@
 ; =====================================
 ;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph TropFlux_swr_DT_19890101_20071231 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_swr [shape=ellipse,fontname=Courier,label="/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20071231_DT_v50.nc"];
+;
+;           TropFlux_swr_DT_19890101_20071231 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/TropFlux_swr_DT_19890101_20071231.pro",
+;           label="${TROPFLUX}/src/TropFlux_swr_DT_19890101_20071231.pro"];
+;
+;           {file_swr}-> {TropFlux_swr_DT_19890101_20071231} -> {ncfile}
+;
+;        }
 ;
 ; SEE ALSO
@@ -27,4 +54,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T091726Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/TropFlux_swr_NRT_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 7)
+++ trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 8)
@@ -1,5 +1,5 @@
 ;+
 ;
-; .. _TropFlux_swr_NRT_19890101_20091231.pro
+; .. _TropFlux_swr_NRT_19890101_20091231.pro:
 ;
 ; ======================================
@@ -7,4 +7,27 @@
 ; ======================================
 ;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph TropFlux_swr_NRT_19890101_200912311 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_sw [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20071231_DT_v50.nc"];
+;           file_olr [shape=ellipse,fontname=Courier,label="/Users/pkb/data/heat_budget/NOAA_OLR/olr_oafluxgrid_30n30s_19890101_20091231.nc"];
+;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;           TropFlux_swr_NRT_19890101_200912311 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/TropFlux_swr_NRT_19890101_200912311.pro",
+;           label="${TROPFLUX}/src/TropFlux_swr_NRT_19890101_200912311.pro"];
+;           {file_sw file_olr}-> {TropFlux_swr_NRT_19890101_200912311} -> {ncfile}
+;       }
 ;
 ; SEE ALSO
@@ -27,4 +50,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T092145Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/cor30a.pro
===================================================================
--- trunk/src/cor30a.pro	(revision 7)
+++ trunk/src/cor30a.pro	(revision 8)
@@ -277,6 +277,4 @@
 ;       Cen_10=                 10-m humidity transfer coeeficient, including gustiness
 
-
-
 return, y
 
Index: trunk/src/cronin_gustiness_ncdf.pro
===================================================================
--- trunk/src/cronin_gustiness_ncdf.pro	(revision 7)
+++ trunk/src/cronin_gustiness_ncdf.pro	(revision 8)
@@ -7,6 +7,27 @@
 ; =========================
 ;
-; SEE ALSO
-; ========
+;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph cronin_gustiness_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_sst [shape=ellipse,fontname=Courier,label="/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231.nc"];
+;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_gustiness_19890101_20091231_v50.nc"];
+;           cronin_gustiness_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/cronin_gustiness_ncdf.pro",
+;           label="${TROPFLUX}/src/cronin_gustiness_ncdf.pro"];
+;           {file_sst} -> {cronin_gustiness_ncdf} -> {ncfile}
+;        }
 ;
 ; EXAMPLES
@@ -26,4 +47,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T092619Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/d2m_to_q2m_erai.pro
===================================================================
--- trunk/src/d2m_to_q2m_erai.pro	(revision 7)
+++ trunk/src/d2m_to_q2m_erai.pro	(revision 8)
@@ -6,4 +6,28 @@
 ; d2m_to_q2m_erai.pro
 ; ===================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph d2m_to_q2m_erai {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_d2m [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_d2m_19890101_20091231_oafluxgrid.nc"];
+;           file_t2m [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_t2m_19890101_20091231_oafluxgrid.nc"];
+;           file_msl [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/q2m_erai_19890101_20091231_oafluxgrid.nc"];
+;
+;           d2m_to_q2m_erai [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/d2m_to_q2m_erai.pro",
+;           label="${TROPFLUX}/src/d2m_to_q2m_erai.pro"];
+;           {file_d2m file_t2m} -> {d2m_to_q2m_erai} -> {file_msl}
+;        }
 ;
 ; SEE ALSO
@@ -28,4 +52,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T093141Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/interp_erai_dewt_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_dewt_1989_2009.pro	(revision 7)
+++ trunk/src/interp_erai_dewt_1989_2009.pro	(revision 8)
@@ -7,4 +7,30 @@
 ; ==============================
 ;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_erai_dewt_1989_2009 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_d2_TROP_1989_2009.nc"];
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           file_out [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_d2m_19890101_20091231_oafluxgrid.nc"];
+;           interp_erai_dewt_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_erai_dewt_1989_2009.pro",
+;           label="${TROPFLUX}/src/interp_erai_dewt_1989_2009.pro"];
+;
+;           {file_in mask} -> {interp_erai_dewt_1989_2009} -> {file_out}
+;
+;       }
 ;
 ; SEE ALSO
@@ -27,4 +53,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T093710Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/interp_erai_lwr_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_lwr_1989_2009.pro	(revision 7)
+++ trunk/src/interp_erai_lwr_1989_2009.pro	(revision 8)
@@ -7,4 +7,31 @@
 ; =============================
 ;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_erai_lwr_1989_2009 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_str_TROP_1989_2009.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_lwr_19890102_20091231_oafluxgrid.nc"];
+;
+;           interp_erai_lwr_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_erai_lwr_1989_2009.pro",
+;           label="${TROPFLUX}/src/interp_erai_lwr_1989_2009.pro"];
+;
+;           {mask file_in} -> {interp_erai_lwr_1989_2009} -> {ncfile}
+;
+;         }
 ;
 ; SEE ALSO
@@ -27,4 +54,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T094137Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)