Index: trunk/src/TropFlux_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_19890101_20091231.pro	(revision 8)
+++ trunk/src/TropFlux_19890101_20091231.pro	(revision 9)
@@ -45,5 +45,5 @@
 ;
 ;           {mask file_sst file_wind file_wg file_sw file_lw file_air file_q} -> {TropFlux_19890101_20091231} -> {ncfile}
-;            
+;
 ;          }
 ;
Index: trunk/src/TropFlux_NRT_ncdf.pro
===================================================================
--- trunk/src/TropFlux_NRT_ncdf.pro	(revision 8)
+++ trunk/src/TropFlux_NRT_ncdf.pro	(revision 9)
@@ -20,6 +20,6 @@
 ;           rankdir="LR",
 ;           ]
-;           file1 [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_BLND.nc"];            
-;           file2 [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_lwr_19890101_20091231_v50.nc"];   
+;           file1 [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_BLND.nc"];
+;           file2 [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_lwr_19890101_20091231_v50.nc"];
 ;           file3 [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231_v51.nc"];
 ;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"];
Index: trunk/src/interp_erai_sst_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_sst_1989_2009.pro	(revision 8)
+++ trunk/src/interp_erai_sst_1989_2009.pro	(revision 9)
@@ -6,4 +6,31 @@
 ; interp_erai_sst_1989_2009.pro
 ; =============================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_erai_sst_1989_2009 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_sstk_TROP_1989_2009.nc"];
+;
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_sst_19890101_20091231_oafluxgrid.nc"];
+;
+;           interp_erai_sst_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_erai_sst_1989_2009.pro",
+;           label="${TROPFLUX}/src/interp_erai_sst_1989_2009.pro"];
+;
+;           {file_in mask} -> {interp_erai_sst_1989_2009} -> {ncfile}
+;          }
 ;
 ; SEE ALSO
@@ -26,4 +53,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T100932Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/interp_erai_t2m_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_t2m_1989_2009.pro	(revision 8)
+++ trunk/src/interp_erai_t2m_1989_2009.pro	(revision 9)
@@ -6,4 +6,32 @@
 ; interp_erai_t2m_1989_2009.pro
 ; =============================
+;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_erai_t2m_1989_2009 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_t2_TROP_1989_2009.nc"];
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_t2m_19890101_20091231_oafluxgrid.nc"];
+;
+;           interp_erai_t2m_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_erai_t2m_1989_2009.pro"",
+;           label="${TROPFLUX}/src/interp_erai_t2m_1989_2009.pro"];
+;
+;           {file_in mask} -> {interp_erai_t2m_1989_2009} -> {ncfile}
+;
+;          }
 ;
 ;
@@ -28,4 +56,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T112140Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/interp_erai_ws_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_ws_1989_2009.pro	(revision 8)
+++ trunk/src/interp_erai_ws_1989_2009.pro	(revision 9)
@@ -6,4 +6,34 @@
 ; interp_erai_ws_1989_2009.pro
 ; ============================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_erai_ws_1989_2009 {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_u10 [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_u10_TROP_1989_2009.nc"];
+;           file_v10 [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/ERAI_global/20c3m_erai_v10_TROP_1989_2009.nc"];
+;
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_ws_19890101_20091231_oafluxgrid.nc"];
+;
+;           interp_erai_ws_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_erai_ws_1989_2009.pro",
+;           label="${TROPFLUX}/src/interp_erai_ws_1989_2009.pro"];
+;
+;           {file_u10 file_v10 mask} -> {interp_erai_ws_1989_2009} -> {ncfile}
+;
+;        }
+;
 ; SEE ALSO
 ; ========
@@ -26,4 +56,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T112657Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/interp_olr_30n30s_1989_2009.pro
===================================================================
--- trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 8)
+++ trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 9)
@@ -7,4 +7,32 @@
 ; ===============================
 ;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph interp_olr_30n30s_1989_2009{
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_in [shape=ellipse,fontname=Courier,label="/Users/pkb/data/heat_budget/NOAA_OLR/new/olr.day.mean_new.nc"];
+;
+;           mask [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/work/flux_reconstruction/gridded_data/mask_oaflux_30N30S.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Users/pkb/data/heat_budget/NOAA_OLR/newolr_oafluxgrid_30n30s_19890101_20091231.nc"];
+;
+;           interp_olr_30n30s_1989_2009 [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/interp_olr_30n30s_1989_2009.pro",
+;           label="${TROPFLUX}/src/interp_olr_30n30s_1989_2009.pro"];
+;
+;           {file_in mask} -> {interp_olr_30n30s_1989_2009} -> {ncfile}
+;
+;         }
 ;
 ; SEE ALSO
@@ -27,4 +55,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T113118Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/lwr_correction_ncdf.pro
===================================================================
--- trunk/src/lwr_correction_ncdf.pro	(revision 8)
+++ trunk/src/lwr_correction_ncdf.pro	(revision 9)
@@ -6,4 +6,30 @@
 ; lwr_correction_ncdf.pro
 ; =======================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph lwr_correction_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_lwr_19890102_20091231_oafluxgrid.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_cor/full_cor/TropFlux_lwr_19890101_20091231_v1.nc"];
+;           lwr_correction_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/lwr_correction_ncdf.pro",
+;           label="${TROPFLUX}/src/lwr_correction_ncdf.pro"];
+;
+;           {file_in} -> {lwr_correction_ncdf} -> {ncfile}
+;
+;        }
 ;
 ; SEE ALSO
@@ -27,4 +53,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T113707Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/q2m_correction_ncdf.pro
===================================================================
--- trunk/src/q2m_correction_ncdf.pro	(revision 8)
+++ trunk/src/q2m_correction_ncdf.pro	(revision 9)
@@ -6,4 +6,31 @@
 ; q2m_correction_ncdf.pro
 ; =======================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph q2m_correction_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_q2m_19890101_20091231_oafluxgrid.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_cor/full_cor/TropFlux_q2m_19890101_20091231_v20.nc"];
+;
+;           q2m_correction_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/q2m_correction_ncdf.pro",
+;           label="${TROPFLUX}/src/q2m_correction_ncdf.pro"];
+;
+;           {file_in} -> {q2m_correction_ncdf} -> {ncfile}
+;
+;        }
 ;
 ; SEE ALSO
@@ -26,4 +53,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T113945Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/sst_correction_ncdf.pro
===================================================================
--- trunk/src/sst_correction_ncdf.pro	(revision 8)
+++ trunk/src/sst_correction_ncdf.pro	(revision 9)
@@ -6,4 +6,31 @@
 ; sst_correction_ncdf.pro
 ; =======================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph sst_correction_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_sst [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_sst_19890101_20091231_oafluxgrid.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_cor/full_cor/TropFlux_sst_19890101_20091231_v20.nc"];
+;
+;           sst_correction_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/sst_correction_ncdf.pro",
+;           label="${TROPFLUX}/src/sst_correction_ncdf.pro"];
+;
+;           {file_sst} -> {sst_correction_ncdf} -> {ncfile}
+;
+;        }
 ;
 ;
@@ -27,4 +54,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T114224Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/t2m_correction_ncdf.pro
===================================================================
--- trunk/src/t2m_correction_ncdf.pro	(revision 8)
+++ trunk/src/t2m_correction_ncdf.pro	(revision 9)
@@ -6,4 +6,31 @@
 ; t2m_correction_ncdf.pro
 ; =======================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph t2m_correction_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_t2m [shape=ellipse,fontname=Courier,label="/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_t2m_19890101_20091231_oafluxgrid.nc"];
+;
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_t2m_19890101_20091231_v20.nc"];
+;
+;           t2m_correction_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/t2m_correction_ncdf.pro",
+;           label="${TROPFLUX}/src/t2m_correction_ncdf.pro"];
+;
+;           {file_t2m} -> {t2m_correction_ncdf} -> {ncfile}
+;
+;        }
 ;
 ; SEE ALSO
@@ -26,4 +53,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T114503Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/time_axe_modif_TropFlux.pro
===================================================================
--- trunk/src/time_axe_modif_TropFlux.pro	(revision 8)
+++ trunk/src/time_axe_modif_TropFlux.pro	(revision 9)
@@ -6,4 +6,30 @@
 ; time_axe_modif_TropFlux.pro
 ; ===========================
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph time_axe_modif_TropFlux {
+;           graph [
+;           rankdir="LR",
+;           ]
+;
+;           file_inout [shape=ellipse,fontname=Courier,label="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"];
+;
+;           time_axe_modif_TropFlux  [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/time_axe_modif_TropFlux.pro",
+;           label="${TROPFLUX}/src/time_axe_modif_TropFlux.pro"];
+;
+;           {file_inout} -> {time_axe_modif_TropFlux} -> {file_inout}
+;
+;        }
+;
 ;
 ; SEE ALSO
@@ -26,4 +52,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T114847Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/ws_correction_ncdf.pro
===================================================================
--- trunk/src/ws_correction_ncdf.pro	(revision 8)
+++ trunk/src/ws_correction_ncdf.pro	(revision 9)
@@ -7,4 +7,29 @@
 ; ======================
 ;
+;
+;
+; .. only:: man
+;
+; Figure is visible on PDF and HTML documents only.
+;
+; .. only:: html
+;
+;     .. graphviz::
+;
+;        digraph ws_correction_ncdf {
+;           graph [
+;           rankdir="LR",
+;           ]
+;           file_in [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_ws_19890101_20091231_oafluxgrid.nc"];
+;           ncfile [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_cor/full_cor/TropFlux_ws_19890101_20091231_v20.nc"];
+;           ws_correction_ncdf [shape=box,
+;           fontname=Courier,
+;           color=blue,
+;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/ws_correction_ncdf.pro",
+;           label="${TROPFLUX}/src/ws_correction_ncdf.pro"];
+;
+;           {file_in} -> {ws_correction_ncdf} -> {ncfile}
+;
+;          }
 ;
 ; SEE ALSO
@@ -27,4 +52,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T115916Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * add graph in header
 ;
 ; - fplod 20101214T093615Z aedon.locean-ipsl.upmc.fr (Darwin)