Index: trunk/src/TropFlux_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_19890101_20091231.pro	(revision 11)
+++ trunk/src/TropFlux_19890101_20091231.pro	(revision 12)
@@ -14,10 +14,4 @@
 ; gustiness values.
 ;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/TropFlux_NRT_ncdf.pro
===================================================================
--- trunk/src/TropFlux_NRT_ncdf.pro	(revision 11)
+++ trunk/src/TropFlux_NRT_ncdf.pro	(revision 12)
@@ -6,11 +6,4 @@
 ; TropFlux_NRT_ncdf_v50.pro
 ; =========================
-;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/TropFlux_swr_BLND_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 11)
+++ trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; TropFlux_swr_BLND_19890101_20091231.pro
 ; =======================================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/TropFlux_swr_DT_19890101_20071231.pro
===================================================================
--- trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 11)
+++ trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 12)
@@ -7,10 +7,4 @@
 ; =====================================
 ;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/TropFlux_swr_NRT_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 11)
+++ trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 12)
@@ -7,10 +7,4 @@
 ; ======================================
 ;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/compute_erai_daily_region_2d
===================================================================
--- trunk/src/compute_erai_daily_region_2d	(revision 11)
+++ 	(revision )
@@ -1,71 +1,0 @@
-#! /bin/sh
-minlat=-90.
-maxlat=90.
-minlon=0.
-maxlon=360.
-reg=GLOB
-dirtemp=/home/mlengaig/ERAI/1d_2d_${reg}/
-dirin=/bdd/ERAI/NETCDF/GLOBAL_075/4xdaily/
-dirout=/bdd/IPCC/Reanalysis/ERAI/${reg}/
-mkdir ${dirout}
-mkdir ${dirtemp}
-\rm ${dirtemp}/*
-for var in lsp cp; do
-for date in 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010; do
-for month in 01 02 03 04 05 06 07 08 09 10 11 12; do
-for day in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31; do
-ncpdq -U ${dirin}/FC_SF/${date}/${month}/${var}.${date}${month}${day}* ${dirtemp}/${var}.${date}${month}${day}.temp.GLOBAL_075.nc
-done 
-ncrcat ${dirtemp}/${var}.${date}${month}*temp*  ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc
-\rm ${dirtemp}/${var}.${date}${month}*temp*
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,0,,5 ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc ${dirtemp}/temp_time0.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,4,,5 ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc ${dirtemp}/temp_time4.nc
-ncflint -w -1,1 ${dirtemp}/temp_time0.nc ${dirtemp}/temp_time4.nc ${dirtemp}/temp_time.nc 
-ncflint -w 1000.,0.0 ${dirtemp}/temp_time.nc ${dirtemp}/temp_time.nc ${dirtemp}/temp_int_${var}_${date}${month}.nc
-\rm ${dirtemp}/temp_time*
-\rm ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc
-done
-ncrcat ${dirtemp}/temp_int_${var}_${date}* /bdd/IPCC/Reanalysis/ERAI/${reg}/erai_${reg}_1d_${date}0101_${date}1231_${var}_gridOrig.nc
-\rm ${dirtemp}/temp_int_${var}_${date}*
-done
-done
-
-for var in e slhf ssr trd sshf ssrd str ewss nsss ; do
-for date in 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 ; do
-for month in 01 02 03 04 05 06 07 08 09 10 11 12; do
-for day in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31; do
-ncpdq -U ${dirin}/FC_SF/${date}/${month}/${var}.${date}${month}${day}* ${dirtemp}/${var}.${date}${month}${day}.temp.GLOBAL_075.nc
-done
-ncrcat ${dirtemp}/${var}.${date}${month}*temp*  ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc
-\rm ${dirtemp}/${var}.${date}${month}*temp*
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,0,,5 ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc ${dirtemp}/temp_time0.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,4,,5 ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc ${dirtemp}/temp_time4.nc
-ncflint -w 1.1574074,-1.1574074 ${dirtemp}/temp_time0.nc ${dirtemp}/temp_time4.nc ${dirtemp}/temp_time.nc
-ncflint -w 0.00001,0.0 ${dirtemp}/temp_time.nc ${dirtemp}/temp_time.nc ${dirtemp}/temp_int_${var}_${date}${month}.nc
-\rm ${dirtemp}/temp_time*
-\rm ${dirtemp}/${var}.${date}${month}.fshei.GLOBAL_075.nc
-done
-ncrcat ${dirtemp}/temp_int_${var}_${date}* /bdd/IPCC/Reanalysis/ERAI/${reg}/erai_${reg}_1d_${date}0101_${date}1231_${var}_gridOrig.nc
-\rm ${dirtemp}/temp_int_${var}_${date}*
-done
-done
-
-
-for var in geopt msl sstk t2 d2 u10 v10 ; do
-for date in 1989 1990 1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010; do
-for month in 01 02 03 04 05 06 07 08 09 10 11 12; do
-
-ncpdq -U ${dirin}/AN_SF/${date}/${var}.${date}${month}.ashei.GLOBAL_075.nc ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,0,,4 ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc ${dirtemp}/temp_time1.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,1,,4 ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc ${dirtemp}/temp_time2.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,2,,4 ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc ${dirtemp}/temp_time3.nc
-ncks -d lat,${minlat},${maxlat} -d lon,${minlon},${maxlon} -d time,3,,4 ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc ${dirtemp}/temp_time4.nc
-ncea ${dirtemp}/temp_time* ${dirtemp}/temp_int_${date}${month}.nc
-\rm ${dirtemp}/temp_time*
-\rm ${dirtemp}/${var}.${date}${month}.ashei.GLOBAL_075.nc
-done
-ncrcat ${dirtemp}/temp_int_${date}* /bdd/IPCC/Reanalysis/ERAI/${reg}/erai_${reg}_1d_${date}0101_${date}1231_${var}_gridOrig.nc
-
-\rm ${dirtemp}/temp_int_${date}*
-done
-done 
Index: trunk/src/cor30a.pro
===================================================================
--- trunk/src/cor30a.pro	(revision 11)
+++ trunk/src/cor30a.pro	(revision 12)
@@ -1,9 +1,9 @@
 ;+
 ;
-; ======
-; cor30a
-; ======
-;
-; .. function: result=cor30a(u,us,ts,t,Qs,Q,Rs,Rl,rain,zi,P,zu,zt,zq,lat,jcool,jwave,twave,hwave)
+; ==========
+; cor30a.pro
+; ==========
+;
+; .. function:: cor30a(u,us,ts,t,Qs,Q,Rs,Rl,rain,zi,P,zu,zt,zq,lat,jcool,jwave,twave,hwave)
 ;
 ;
@@ -63,4 +63,9 @@
 ;
 ; Maximum error on any parameter: .002 %    validated!
+;
+; SEE ALSO
+; ========
+;
+; :ref:`TropFlux_19890101_20091231.pro`
 ;
 ; TODO
Index: trunk/src/cronin_gustiness_ncdf.pro
===================================================================
--- trunk/src/cronin_gustiness_ncdf.pro	(revision 11)
+++ trunk/src/cronin_gustiness_ncdf.pro	(revision 12)
@@ -6,12 +6,4 @@
 ; cronin_gustiness_ncdf.pro
 ; =========================
-;
-;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/d2m_to_q2m_erai.pro
===================================================================
--- trunk/src/d2m_to_q2m_erai.pro	(revision 11)
+++ trunk/src/d2m_to_q2m_erai.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; d2m_to_q2m_erai.pro
 ; ===================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
@@ -21,5 +15,7 @@
 ;           file_d2m [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_d2m_19890101_20091231_oafluxgrid.nc"];
 ;           file_t2m [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_t2m_19890101_20091231_oafluxgrid.nc"];
-;           file_msl [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/q2m_erai_19890101_20091231_oafluxgrid.nc"];
+;           file_msl [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/erai_msl_19890101_20091231_oafluxgrid.nc"];
+
+;           file_q2m [shape=ellipse,fontname=Courier,label="/Volumes/PRAVEEN/TropFlux/input_uncor/q2m_erai_19890101_20091231_oafluxgrid.nc"];
 ;
 ;           d2m_to_q2m_erai [shape=box,
@@ -28,5 +24,5 @@
 ;           URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/d2m_to_q2m_erai.pro",
 ;           label="${TROPFLUX}/src/d2m_to_q2m_erai.pro"];
-;           {file_d2m file_t2m} -> {d2m_to_q2m_erai} -> {file_msl}
+;           {file_d2m file_t2m file_msl} -> {d2m_to_q2m_erai} -> {file_q2m}
 ;        }
 ;
@@ -34,5 +30,5 @@
 ; ========
 ;
-; :func:`rh_to_spechum(rh,t,P)`
+; :func:`rh_to_spechum`
 ;
 ; EXAMPLES
@@ -52,4 +48,8 @@
 ; EVOLUTIONS
 ; ==========
+;
+; - fplod 20101215T162933Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * graph correction
 ;
 ; - fplod 20101215T093141Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: trunk/src/dew_temp_airt_rel_humidity_jv.pro
===================================================================
--- trunk/src/dew_temp_airt_rel_humidity_jv.pro	(revision 11)
+++ trunk/src/dew_temp_airt_rel_humidity_jv.pro	(revision 12)
@@ -5,5 +5,5 @@
 ; =============================
 ;
-; .. function: result=dew_temp_airt_rel_humidity_jv(t, td)
+; .. function:: dew_temp_airt_rel_humidity_jv(t, td)
 ;
 ;     :param t: air temperature in degC
Index: trunk/src/interp_erai_dewt_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_dewt_1989_2009.pro	(revision 11)
+++ trunk/src/interp_erai_dewt_1989_2009.pro	(revision 12)
@@ -7,10 +7,4 @@
 ; ==============================
 ;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/interp_erai_lwr_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_lwr_1989_2009.pro	(revision 11)
+++ trunk/src/interp_erai_lwr_1989_2009.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; interp_erai_lwr_1989_2009.pro
 ; =============================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/interp_erai_sst_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_sst_1989_2009.pro	(revision 11)
+++ trunk/src/interp_erai_sst_1989_2009.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; interp_erai_sst_1989_2009.pro
 ; =============================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/interp_erai_t2m_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_t2m_1989_2009.pro	(revision 11)
+++ trunk/src/interp_erai_t2m_1989_2009.pro	(revision 12)
@@ -7,10 +7,4 @@
 ; =============================
 ;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/interp_erai_ws_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_ws_1989_2009.pro	(revision 11)
+++ trunk/src/interp_erai_ws_1989_2009.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; interp_erai_ws_1989_2009.pro
 ; ============================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/interp_olr_30n30s_1989_2009.pro
===================================================================
--- trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 11)
+++ trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 12)
@@ -6,11 +6,4 @@
 ; interp_olr_30n30s_1989_2009.pro
 ; ===============================
-;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/lwr_correction_ncdf.pro
===================================================================
--- trunk/src/lwr_correction_ncdf.pro	(revision 11)
+++ trunk/src/lwr_correction_ncdf.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; lwr_correction_ncdf.pro
 ; =======================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/q2m_correction_ncdf.pro
===================================================================
--- trunk/src/q2m_correction_ncdf.pro	(revision 11)
+++ trunk/src/q2m_correction_ncdf.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; q2m_correction_ncdf.pro
 ; =======================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/rh_to_spechum.pro
===================================================================
--- trunk/src/rh_to_spechum.pro	(revision 11)
+++ trunk/src/rh_to_spechum.pro	(revision 12)
@@ -5,9 +5,9 @@
 ; =============
 ;
-; .. function: result=rh_to_spechum(rh,ta,P)
+; .. function:: rh_to_spechum(rh,ta,P)
 ;
 ;     :param rh: in %
 ;     :param ta: air temperature in degC
-;     :param P : pressure in hPa
+;     :param P: pressure in hPa
 ;
 ;     :returns: Air specific humidity (g/kg)
Index: trunk/src/sst_correction_ncdf.pro
===================================================================
--- trunk/src/sst_correction_ncdf.pro	(revision 11)
+++ trunk/src/sst_correction_ncdf.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; sst_correction_ncdf.pro
 ; =======================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/t2m_correction_ncdf.pro
===================================================================
--- trunk/src/t2m_correction_ncdf.pro	(revision 11)
+++ trunk/src/t2m_correction_ncdf.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; t2m_correction_ncdf.pro
 ; =======================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/time_axe_modif_TropFlux.pro
===================================================================
--- trunk/src/time_axe_modif_TropFlux.pro	(revision 11)
+++ trunk/src/time_axe_modif_TropFlux.pro	(revision 12)
@@ -6,10 +6,4 @@
 ; time_axe_modif_TropFlux.pro
 ; ===========================
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::
Index: trunk/src/ws_correction_ncdf.pro
===================================================================
--- trunk/src/ws_correction_ncdf.pro	(revision 11)
+++ trunk/src/ws_correction_ncdf.pro	(revision 12)
@@ -6,12 +6,4 @@
 ; ws_correction_ncdf.pro
 ; ======================
-;
-;
-;
-; .. only:: man
-;
-; Figure is visible on PDF and HTML documents only.
-;
-; .. only:: html
 ;
 ;     .. graphviz::