Index: trunk/src/TropFlux_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_19890101_20091231.pro	(revision 19)
+++ trunk/src/TropFlux_19890101_20091231.pro	(revision 20)
@@ -47,4 +47,14 @@
 ; :ref:`tropflux_profile.sh`
 ;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`ncdf_lec <saxo:ncdf_lec>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`caldat <saxo:caldat>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
+;
 ; :func:`cor30a`
 ;
@@ -93,5 +103,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
@@ -131,5 +141,5 @@
 da1=19880101 & da2=20101231
 ;
-initncdf, fullfilename_msk 
+initncdf, fullfilename_msk
 msk=ncdf_lec(fullfilename_msk,var='msk')
 
Index: trunk/src/TropFlux_NRT_ncdf.pro
===================================================================
--- trunk/src/TropFlux_NRT_ncdf.pro	(revision 19)
+++ trunk/src/TropFlux_NRT_ncdf.pro	(revision 20)
@@ -28,4 +28,10 @@
 ; ========
 ;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`julday <saxo:julday>`
+; :func:`jul2date <saxo:jul2date>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
+; 
 ; EXAMPLES
 ; ========
Index: trunk/src/TropFlux_swr_BLND_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 19)
+++ trunk/src/TropFlux_swr_BLND_19890101_20091231.pro	(revision 20)
@@ -30,4 +30,9 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/TropFlux_swr_DT_19890101_20071231.pro
===================================================================
--- trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 19)
+++ trunk/src/TropFlux_swr_DT_19890101_20071231.pro	(revision 20)
@@ -31,4 +31,11 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`julday <saxo:julday>`
+; :func:`caldat <saxo:caldat>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/TropFlux_swr_NRT_19890101_20091231.pro
===================================================================
--- trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 19)
+++ trunk/src/TropFlux_swr_NRT_19890101_20091231.pro	(revision 20)
@@ -27,4 +27,9 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/cronin_gustiness_ncdf.pro
===================================================================
--- trunk/src/cronin_gustiness_ncdf.pro	(revision 19)
+++ trunk/src/cronin_gustiness_ncdf.pro	(revision 20)
@@ -29,4 +29,11 @@
 ;
 ;  IDL> cronin_gustiness_ncdf
+;
+; SEE ALSO
+; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; TODO
Index: trunk/src/d2m_to_q2m_erai.pro
===================================================================
--- trunk/src/d2m_to_q2m_erai.pro	(revision 19)
+++ trunk/src/d2m_to_q2m_erai.pro	(revision 20)
@@ -31,4 +31,8 @@
 ;
 ; :func:`rh_to_spechum`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/interp_erai_dewt_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_dewt_1989_2009.pro	(revision 19)
+++ trunk/src/interp_erai_dewt_1989_2009.pro	(revision 20)
@@ -32,4 +32,13 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/interp_erai_lwr_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_lwr_1989_2009.pro	(revision 19)
+++ trunk/src/interp_erai_lwr_1989_2009.pro	(revision 20)
@@ -33,4 +33,13 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
@@ -77,5 +86,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
Index: trunk/src/interp_erai_sst_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_sst_1989_2009.pro	(revision 19)
+++ trunk/src/interp_erai_sst_1989_2009.pro	(revision 20)
@@ -32,4 +32,13 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
@@ -77,5 +86,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
Index: trunk/src/interp_erai_t2m_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_t2m_1989_2009.pro	(revision 19)
+++ trunk/src/interp_erai_t2m_1989_2009.pro	(revision 20)
@@ -34,4 +34,13 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
@@ -79,5 +88,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
Index: trunk/src/interp_erai_ws_1989_2009.pro
===================================================================
--- trunk/src/interp_erai_ws_1989_2009.pro	(revision 19)
+++ trunk/src/interp_erai_ws_1989_2009.pro	(revision 20)
@@ -35,4 +35,13 @@
 ; :ref:`tropflux_profile.sh`
 ;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
+;
 ; EXAMPLES
 ; ========
@@ -79,5 +88,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
Index: trunk/src/interp_olr_30n30s_1989_2009.pro
===================================================================
--- trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 19)
+++ trunk/src/interp_olr_30n30s_1989_2009.pro	(revision 20)
@@ -33,4 +33,13 @@
 ;
 ; :ref:`tropflux_profile.sh`
+;
+; :func:`report <saxo:report>`
+; :func:`isadirectory <saxo:isadirectory>`
+; :func:`isafile <saxo:isafile>`
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`domdef <saxo:domdef>`
+; :func:`call_interp2d <saxo:call_interp2d>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
@@ -77,5 +86,5 @@
 @common
 ;
-; check for input directory 
+; check for input directory
 ;
 ; test if ${TROPFLUX_ID} defined
Index: trunk/src/lwr_correction_ncdf.pro
===================================================================
--- trunk/src/lwr_correction_ncdf.pro	(revision 19)
+++ trunk/src/lwr_correction_ncdf.pro	(revision 20)
@@ -29,4 +29,11 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`julday <saxo:julday>`
+; :func:`caldat <saxo:caldat>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/oaflux_mask_30N30S.pro
===================================================================
--- trunk/src/oaflux_mask_30N30S.pro	(revision 19)
+++ trunk/src/oaflux_mask_30N30S.pro	(revision 20)
@@ -49,5 +49,5 @@
 ; :func:`initncdf <saxo:initncdf>`
 ; :func:`ncdf_lec <saxo:ncdf_lec>`
-; :ref:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ; :func:`isadirectory <saxo:isadirectory>`
 ; :func:`isafile <saxo:isafile>`
Index: trunk/src/q2m_correction_ncdf.pro
===================================================================
--- trunk/src/q2m_correction_ncdf.pro	(revision 19)
+++ trunk/src/q2m_correction_ncdf.pro	(revision 20)
@@ -30,4 +30,10 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/sst_correction_ncdf.pro
===================================================================
--- trunk/src/sst_correction_ncdf.pro	(revision 19)
+++ trunk/src/sst_correction_ncdf.pro	(revision 20)
@@ -31,4 +31,10 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`julday <saxo:julday>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/t2m_correction_ncdf.pro
===================================================================
--- trunk/src/t2m_correction_ncdf.pro	(revision 19)
+++ trunk/src/t2m_correction_ncdf.pro	(revision 20)
@@ -30,4 +30,12 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`caldat <saxo:caldat>`
+; :func:`julday <saxo:julday>`
+; :func:`jul2date <saxo:jul2date>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES
Index: trunk/src/time_axe_modif_TropFlux.pro
===================================================================
--- trunk/src/time_axe_modif_TropFlux.pro	(revision 19)
+++ trunk/src/time_axe_modif_TropFlux.pro	(revision 20)
@@ -29,4 +29,11 @@
 ; SEE ALSO
 ; ========
+;
+; :func:`initncdf <saxo:initncdf>`
+; :func:`read_ncdf <saxo:read_ncdf>`
+; :func:`grossemoyenne <saxo:grossemoyenne>`
+; :func:`julday <saxo:julday>`
+; :func:`jul2date <saxo:jul2date>`
+; :func:`ncdf_quickwrite <saxo:ncdf_quickwrite>`
 ;
 ; EXAMPLES