Index: trunk/adm/guides/data_out.rst
===================================================================
--- trunk/adm/guides/data_content.rst	(revision 35)
+++ trunk/adm/guides/data_out.rst	(revision 37)
@@ -9,166 +9,9 @@
 .. ==========
 ..
-.. - fplod 20110127T130455Z aedon.locean-ipsl.upmc.fr (Darwin)
+.. - fplod 20110406T104129Z aedon.locean-ipsl.upmc.fr (Darwin)
 ..
-..   * more precise in data_erai
-..
-.. - fplod 20101217T140016Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * add tools using mask_oaflux_30N30S.nc
-..
-.. - fplod 20101216T142435Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * add data_in_oaflux subsection
-..
-.. - fplod 20101216T120745Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * add data_in_erai subsection
-..
-.. - fplod 20101213T161512Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * add data_in section
-..
-.. - fplod 20101208T163033Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * completed with
-..     https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_README.pdf
-..
-.. - fplod 20101118T170732Z aedon.locean-ipsl.upmc.fr (Darwin)
-..
-..   * creation
+..   * creation from data_contents.rst to isolated outputs
 ..
 .. -
-
-.. _data_contents:
-
-Data
-====
-
-contenu terminologie granulométrie organisation etc.
-
-.. _data_in:
-
-Input data
-----------
-
-.. _data_in_oaflux:
-
-OAFLUX
-~~~~~~
-
-Reference files
-^^^^^^^^^^^^^^^
-
-:file:`ftp://ftp.whoi.edu/pub/science/oaflux/data_v3/monthly/turbulence/lh_oaflux_2004.nc.gz`
-
-size 3 Mo (after decompression)
-
-Derived files
-^^^^^^^^^^^^^
-
-:file:`${TROPFLUX_ID}/mask_oaflux_30N30S.nc`
-
-size < 100 Ko
-
-Tools
-^^^^^
-
- - :ref:`get_oaflux.sh`
-
- - :ref:`oaflux_mask_30N30S.pro`
-
- - :ref:`TropFlux_19890101_20091231.pro`
-
- - :ref:`interp_erai_dewt_1989_2009.pro`
- - :ref:`interp_erai_lwr_1989_2009.pro`
- - :ref:`interp_erai_sst_1989_2009.pro`
- - :ref:`interp_erai_t2m_1989_2009.pro`
- - :ref:`interp_erai_ws_1989_2009.pro`
- - :ref:`interp_olr_30n30s_1989_2009.pro`
-
-.. _data_in_erai:
-
-ERA-I
-~~~~~
-
-Between 1989-now
-
-http://climserv.ipsl.polytechnique.fr/fr/donnees/era-interim.html
-
-Reference files
-^^^^^^^^^^^^^^^
-
-For variables str :
- :file:`climserv:/bdd/ERAI/NETCDF/GLOBAL_075/4xdaily/FC_SF/{yyyy}/{mm}/{var}.{yyyymmdd}.fshei.GLOBAL_075.nc`
-
-For variables msl, sstk, t2, d2, u10 and v10 :
- :file:`climserv:/bdd/ERAI/NETCDF/GLOBAL_075/4xdaily/AN_SF/yyyy/{var}.{yyyymm}.ashei.GLOBAL_075.nc`
-
-Derived files
-^^^^^^^^^^^^^
-
-For variables str, msl, sstk, t2, d2, u10 and v10 :
- :file:`climserv:/bdd/IPCC/Reanalysis/ERAI/GLOB/erai_GLOB_1d_{yyyy}0101_{yyyy}1231_{var}_gridOrig.nc`
-
-:ref:`compute_erai_daily_region_2d.sh`
-
-.. _data_in_olr:
-
-OLR
-~~~
-
-Interpolated
-^^^^^^^^^^^^
-
-:file:`ftp://ftp.cdc.noaa.gov/Datasets/interp_OLR/olr.day.mean.nc`
-
-:ref:`get_olr.sh`
-
-Uninterpolated
-^^^^^^^^^^^^^^
-:file:`ftp://ftp.cdc.noaa.gov/Datasets/uninterp_OLR/olr.day.mean.nc`
-
-:ref:`get_olrnint.sh`
-
-.. _data_in_pirata:
-
-PIRATA
-~~~~~~
-
-URL : +todo+
-
-list of variables : +todo+
-
-list of sites : +todo+
-
-:ref:`get_pirata_netcdf.sh`
-
-.. _data_in_rama:
-
-RAMA
-~~~~
-
-URL : +todo+
-
-list of variables : +todo+
-
-list of sites : +todo+
-
-:ref:`get_rama_netcdf.sh`
-
-TAO
-~~~
-
-.. _data_in_tao:
-
-URL : +todo+
-
-list of variables : +todo+
-
-list of sites : +todo+
-
-:ref:`get_tao_netcdf.sh`
-
-.. _data_out:
 
 TropFlux products
@@ -178,58 +21,50 @@
 ~~~~~~~~~~~
 
-Until the paper acceptance, this product will be distributed only to a few people on a collaborative basis. Please reference the Tropflux paper and inform us of what are your plans with this data.
+Until the paper acceptance, this product will be distributed only to a few people on a collaborative basis. 
+
+Please reference the Tropflux paper and inform us of what are your plans with this data.
 
 Contact
-jerome.vialard@locean-ipsl.upmc.fr  +todo+ link
+jerome.vialard@locean-ipsl.upmc.fr
 
-Reference files
-~~~~~~~~~~~~~~~
+Data Files
+~~~~~~~~~~
 
-résolution temporelle
-   +todo+
+.. warning::
+   Password is needed to access to https://www.locean-ipsl.upmc.fr/~jv/data/.
 
-couverture temporelle
-   +tooo+
 
-résolution spatiale
-   +todo+
+* `TropFlux_q2m_19890101_20091231.nc <https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_q2m_19890101_20091231.nc>`_
 
-couverture spatiale
-   +todo+
+  This file contains Tropflux corrected specific humidity at 2m above the sea surface.
 
-available (password needed) on https://www.locean-ipsl.upmc.fr/~jv/data/
+  Units are in g/kg.
 
-:file:`TropFlux_q2m_19890101_20091231.nc`
+* `TropFlux_t2m_19890101_20091231.nc <https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_t2m_19890101_20091231.nc>`_
 
-This file contains Tropflux corrected specific humidity at 2m above the sea surface.
+  This file contains Tropflux corrected air temperature at 2m above the sea surface.
 
-Units are in g/kg.
+  Units are in Kelvin.
 
-:file:`TropFlux_t2m_19890101_20091231.nc`
+* `TropFlux_sst_19890101_20091231.nc <https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_sst_19890101_20091231.nc>`_
 
-This file contains Tropflux corrected air temperature at 2m above the sea surface.
+  This file contains Tropflux corrected sea surface temperature.
 
-Units are in Kelvin.
+  Units are in Kelvin.
 
-:file:`TropFlux_sst_19890101_20091231.nc`
+* `TropFlux_ws_19890101_20091231.nc <https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_ws_19890101_20091231.nc>`_
 
-This file contains Tropflux corrected sea surface temperature.
+  This file contains Tropflux corrected wind speed at 10m above the sea surface.
+  The "gustiness" correction applied to wind speed for turbulent heat flux
+  computations (see paper +todo+link for details) is not applied in
+  this file.
 
-Units are in Kelvin.
+  Units are in m/s.
 
-:file:`TropFlux_ws_19890101_20091231.nc`
+* `TropFlux_19890101_20091231.nc <https://www.locean-ipsl.upmc.fr/~jv/data/TropFlux_19890101_20091231.nc>`_
 
-This file contains Tropflux corrected wind speed at 10m above the sea surface.
-The "gustiness" correction applied to wind speed for turbulent heat flux
-computations (see paper +todo+link for details) is not applied in
-this file.
+  This file contains net shortwave radiation at the sea surface (swr), net longwave radiation at the sea surface (lwr), latent heat flux (lhf) and sensible heat flux (shf).
 
-Units are in m/s.
-
-:file:`TropFlux_19890101_20091231.nc`
-
-This file contains net shortwave radiation at the sea surface (swr), net longwave radiation at the sea surface (lwr), latent heat flux (lhf) and sensible heat flux (shf).
-
-Units are in W/m2.
+  Units are in W/m2.
 
 Size